' Portfolio choice between equities and deposits, based on expected wealth
' accounting fixed

WFCREATE U 1 300
SERIES K=1000
SERIES M=200
SERIES L=M
SERIES AZ=K-L
SERIES VH=AZ+M
SERIES I = 95
SERIES PARZ = 0.2
SERIES DAZ = PARZ*I
series vf = k-az-l
series parb = 2

SERIES RM=0.01
SERIES RL = 0.02
SERIES Y = 1000
SERIES CONS=Y-I
SERIES WB=0.9*Y
SERIES FT=Y-WB
 pard = quota dei profitti distribuiti
SERIES PARD = 0.3
SERIES FD = PARD*(FT-RL*L)
SERIES FU = FT-FD-RL*L
SERIES FB=RL*L-RM*M
SERIES YF=WB+FD+RM*M+FB
SERIES SH=YF-CONS

SERIES PARC1 = 0.9
SERIES PARC2 = 0.05
SERIES PARW = 0.9
SERIES PARK = 0.0475

SERIES G=0.02

Series DIVE = FD
SERIES PARA = 0.4
SERIES PAZ = 1
SERIES PAZE = PAZ
SERIES RAZ = (DIVE+(PAZE-PAZ)*AZ)/AZ
SERIES PARP0 = 0.8
SERIES PARP1 = -0.5
SERIES PARP2 = 1
SERIES PARP3 = -0.5
SERIES SHOCKPAZ=0
SERIES VHE = VH

MODEL PAVIA
PAVIA.APPEND Y=CONS+I
PAVIA.APPEND YF=WB+FD+RM*M(-1)+FB
PAVIA.APPEND CONS = PARC1*YF + PARC2*VH(-1)
PAVIA.APPEND WB = PARW*Y
PAVIA.APPEND FT = Y-WB
PAVIA.APPEND FD = PARD*(FT-RL*L(-1))
PAVIA.APPEND FU = FT - FD - RL*L(-1)
PAVIA.APPEND FB = RL*L(-1) - RM*M(-1)
PAVIA.APPEND SH = YF - CONS
PAVIA.APPEND K = K(-1)*(1-PARK) + I
PAVIA.APPEND DAZ = PARZ*I/PAZ
PAVIA.APPEND AZ = AZ(-1) + DAZ
PAVIA.APPEND L = L(-1) + I - FU - DAZ*paz
PAVIA.APPEND VH = VH(-1) + SH + (PAZ-PAZ(-1))*AZ(-1)
PAVIA.APPEND M = M(-1) + SH - PAZ*DAZ
PAVIA.APPEND I=I(-1)*(1+G)
PAVIA.APPEND vf = k-PAZ*az-l
pavia.append rl = rm*parb
PAVIA.APPEND DIVE = FD(-1)+PARA*(FD(-1)-DIVE(-1))
PAVIA.APPEND PAZE = PAZ(-1)+PARA*(PAZ(-1)-PAZE(-1))+SHOCKPAZ
PAVIA.APPEND RAZ = (DIVE+(PAZE-PAZ)*AZ(-1))/(PAZ(-1)*AZ(-1))
PAVIA.APPEND PAZ = (PARP0+PARP1*RM+PARP2*RAZ+PARP3*YF/VHE)*VHe/AZ
PAVIA.APPEND VHE = VH(-1)+PARA*(VH(-1)-VHE(-1))

SMPL 2 300
PAVIA.SCENARIO "Baseline"
PAVIA.SOLVE

stop
SMPL 151 @LAST
PARD = 0.5
SMPL 2 @LAST
PAVIA.SCENARIO "Scenario 1"
PAVIA.SOLVE
